Name:           flasm
Version:        1.61
Release:        1%{?dist}
Summary:        Flash bytecode assembler disassembler

Group:          Development/Tools
License:        BSD-like
URL:            http://flasm.sourceforge.net/
Source0:        http://www.nowrap.de/download/flasm16src.zip
Source1:        http://shield.jp/~dseg/rpms/flasm/flasm.1.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison gperf flex zlib-devel
#Requires:       


%description
Flasm is a free command line assembler/disassembler of Flash ActionScript 
bytecode. It lets you make changes to any SWF. Flasm fully supports SWFs 
produced by Macromedia Flash 8 and earlier Flash versions.

%prep
%setup -q -c
# cleanup perms and end of lines
chmod -x *.TXT assembler.flex assembler.y *.c *.h *.ini Makefile keywords.gperf
sed -i 's/\r//' *.TXT flasm.html classic.css flasm.ini
# man page associated with another flasm rpm
cp %{SOURCE1} .
gunzip flasm.1.gz


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_bindir}/
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
install flasm $RPM_BUILD_ROOT%{_bindir}/
install -m644 flasm.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.TXT CHANGES.TXT classic.css logo.gif flasm.html logo.gif 
%doc flasm.ini
%{_bindir}/flasm
%{_mandir}/man1/flasm.1*


%changelog
* Sun Jul  2  2006 Patrice Dumas <pertusus@free.fr> - 1.61-1
- Initial packaging
